"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LabelService = void 0;
const client_s3_1 = require("@aws-sdk/client-s3");
class LabelService {
    constructor(awsAccessKeyId, awsSecretAccessKey, awsRegion, awsBucketName) {
        this.bucketName = awsBucketName;
        this.region = awsRegion;
        this.s3 = new client_s3_1.S3Client({
            region: awsRegion,
            credentials: {
                accessKeyId: awsAccessKeyId,
                secretAccessKey: awsSecretAccessKey,
            },
        });
    }
    formatLabelUrl(fileName) {
        return `https://${this.bucketName}.s3.${this.region}.amazonaws.com/${fileName}`;
    }
    async uploadLabel(data) {
        var _a;
        const mimeType = (_a = data.mimeType) !== null && _a !== void 0 ? _a : 'pdf';
        const params = {
            Bucket: this.bucketName,
            Key: `${data.packageNumber}-${data.carrier}.${mimeType}`,
            Body: data.label,
            ContentType: mimeType,
        };
        await this.s3.send(new client_s3_1.PutObjectCommand(params));
        return {
            fileName: params.Key,
            url: this.formatLabelUrl(params.Key),
        };
    }
}
exports.LabelService = LabelService;
//# sourceMappingURL=label.service.js.map